﻿
namespace System.Collections.Generic
{
    public static class EnumerableEx
    {
        public static T ElementAt<T>(this IEnumerable<T> items, int index)
        {
            using (IEnumerator<T> iter = items.GetEnumerator())
            {
                for (int i = 0; i <= index; i++, iter.MoveNext()) ;
                return iter.Current;
            }
        }

    }
}

namespace System.Collections
{
    public static class EnumeratorEx
    {
        public static object ElementAt(this IEnumerator iter, int index)
        {
            for (int i = 0; i <= index; i++, iter.MoveNext()) ;
            return iter.Current;
        }
    }
}
